Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.io.abstract_syntax
Class SomeUndefinedOWLPropertyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.semanticweb.owl.model.OWLException
                        |
                        +--org.semanticweb.owl.io.abstract_syntax.SomeUndefinedOWLPropertyException

All Implemented Interfaces:
  Serializable

public class SomeUndefinedOWLPropertyException
extends OWLException

SomeUndefinedOWLPropertyException.java.

Version:
  $Id: SomeUndefinedOWLPropertyException.java,v 1.1 2003/12/01 17:06:10 dturi Exp $
See Also:
  Serialized Form

Constructor Summary
`SomeUndefinedOWLPropertyException(int propertyType)` Creates a new `SomeUndefinedOWLPropertyException` instance and sets the `propertyType` property.

Method Summary
`int` | `getPropertyType()` Gets the value of the property `propertyType`, which is set by `SomeUndefinedOWLPropertyException(int)`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SomeUndefinedOWLPropertyException

    public SomeUndefinedOWLPropertyException(int propertyType)

  Creates a new `SomeUndefinedOWLPropertyException` instance and sets the `propertyType` property.

Parameters:
  `propertyType` - one of `ANTLRParser.DATA_PROP_INT`, `ANTLRParser.OBJ_PROP_INT`, `ANTLRParser.ANN_PROP_INT`, `ANTLRParser.ONT_PROP_INT`.

Method Detail

### getPropertyType

    public int getPropertyType()

  Gets the value of the property `propertyType`, which is set by `SomeUndefinedOWLPropertyException(int)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb